#ifndef _DOMINANTSEPTAKKORD
#define _DOMINANTSEPTAKKORD

#include "zufall.h"

#include <iostream>
#include <fstream>
using namespace std;

class dominantseptakkord
{
 private:
  static zufall m_z;
  int m_anzahl_toene;
  int *m_rein;
  int *m_verstimmt;
  int *m_akkordton;
  int m_obergrenze;
  int m_untergrenze;
  void belegung();
  int mindestens_mod(int x, int y, int mod);
  int hoechstens_mod(int x, int y, int mod);
  void identifikation_akkordton(int ton1, int ton2, int &akkordton1, int &akkordton2);
 public:
  dominantseptakkord(int untergrenze, int obergrenze);
  ~dominantseptakkord();
  dominantseptakkord(const dominantseptakkord& ausgangswert);
  dominantseptakkord& operator=(const dominantseptakkord& rop);
  void neuer_wert();
  int rein(int stimme){return m_rein[stimme];}
  int verstimmt(int stimme){return m_verstimmt[stimme];}
  int akkordton(int stimme){return m_akkordton[stimme];}
  int anzahl_toene(){return m_anzahl_toene;}
};
#endif

